|  | Home · All Classes · Modules

# QScriptSyntaxCheckResult Class Reference
[QtScript module]

The QScriptSyntaxCheckResult class provides the result of a script syntax check. More...

### Types

- enum State { Error, Intermediate, Valid }

### Methods

- __init__ (self, QScriptSyntaxCheckResult other)
- int errorColumnNumber (self)
- int errorLineNumber (self)
- QString errorMessage (self)
- State state (self)

## Detailed Description

The QScriptSyntaxCheckResult class provides the result of a script syntax check.

QScriptSyntaxCheckResult is returned by QScriptEngine.checkSyntax() to provide information about the syntactical (in)correctness of a script.

## Type Documentation

### QScriptSyntaxCheckResult.State

This enum specifies the state of a syntax check.

Constant | Value | Description
--- | --- | ---
`QScriptSyntaxCheckResult.Error` | `0` | The program contains a syntax error.
`QScriptSyntaxCheckResult.Intermediate` | `1` | The program is incomplete.
`QScriptSyntaxCheckResult.Valid` | `2` | The program is a syntactically correct Qt Script program.

## Method Documentation

### QScriptSyntaxCheckResult.__init__ (self, QScriptSyntaxCheckResult other)

Constructs a new QScriptSyntaxCheckResult from the other result.

### int QScriptSyntaxCheckResult.errorColumnNumber (self)

Returns the error column number of this QScriptSyntaxCheckResult, or -1 if there is no error.

See also state() and errorLineNumber().

### int QScriptSyntaxCheckResult.errorLineNumber (self)

Returns the error line number of this QScriptSyntaxCheckResult, or -1 if there is no error.

See also state() and errorMessage().

### QString QScriptSyntaxCheckResult.errorMessage (self)

Returns the error message of this QScriptSyntaxCheckResult, or an empty string if there is no error.

See also state() and errorLineNumber().

### State QScriptSyntaxCheckResult.state (self)

Returns the state of this QScriptSyntaxCheckResult.